EventBuffer::pullup
EventBuffer::readFrom
EventBuffer
PHP Manual

# EventBuffer::read

(PECL event >= 1.6.0)

EventBuffer::read — Read data from an evbuffer and drain the bytes read

### Description

public string EventBuffer::read ( int `$max_bytes` )

Read the first `max_bytes` from the buffer and drain the bytes read. If more `max_bytes` are requested than are available in the buffer, it only extracts as many bytes as available.

### Parameters

`max_bytes`

  Maxmimum number of bytes to read from the buffer.

### Return Values

Returns string read, or `FALSE` on failure.

### Changelog

Version | Description
--- | ---
1.6.0 | Renamed EventBuffer::read()(the old method name) to EventBuffer::read(). EventBuffer::read() now takes only `max_bytes` argument; returns string instead of integer.

### See Also

- EventBuffer::copyout() - Copies out specified number of bytes from the front of the buffer
- EventBuffer::drain() - Removes specified number of bytes from the front of the buffer without copying it anywhere
- EventBuffer::pullup() - Linearizes data within buffer and returns it's contents as a string
- EventBuffer::readLine() - Extracts a line from the front of the buffer
- EventBuffer::appendFrom() - Moves the specified number of bytes from a source buffer to the end of the current buffer

EventBuffer::pullup
EventBuffer::readFrom
EventBuffer
PHP Manual